summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-emulation/virtualjaguar/files/virtualjaguar')
-rw-r--r--games-emulation/virtualjaguar/files/virtualjaguar32
1 files changed, 32 insertions, 0 deletions
diff --git a/games-emulation/virtualjaguar/files/virtualjaguar b/games-emulation/virtualjaguar/files/virtualjaguar
new file mode 100644
index 000000000000..24f5f09dbb6a
--- /dev/null
+++ b/games-emulation/virtualjaguar/files/virtualjaguar
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Script for launching virtualjaguar
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-emulation/virtualjaguar/files/virtualjaguar,v 1.1 2003/09/13 02:14:52 msterret Exp $
+
+source /sbin/functions.sh
+
+shopt -s nullglob
+
+if [ ! -d ~/.vj/bios ] ; then
+ mkdir -p ~/.vj/bios
+fi
+
+if [ ! -d ~/.vj/eeproms ] ; then
+ mkdir -p ~/.vj/eeproms
+fi
+
+cd ~/.vj
+
+# check for bios
+if [ -z "`cd ./bios && ls`" ] ; then
+ # if the bios directory is empty, then ... well ...
+ echo
+ eerror " Put your BIOS file into ~/.vp/bios/"
+ eerror " or virtualjaguar will not work!"
+ exit 1
+fi
+
+# execute program (with args)
+exec /usr/games/bin/vj "$@"